#!/bin/sh
${FAILSAFE:+exit}

SAVED_FIREWALL=/etc/firehol/autosave
IPTABLES_RESTORE=/usr/sbin/iptables-restore
FIREHOL=/sbin/firehol

# Load modules
insmod ipt_limit >&- 2>&-
insmod ipt_length >&- 2>&-
#insmod ipt_ULOG >&- 2>&-

# Restore saved firewall rules if existing
if [ -r ${SAVED_FIREWALL} ]; then
  ${IPTABLES_RESTORE} < ${SAVED_FIREWALL}
#else
#  ${FIREHOL} save
fi

